{
  pkgs,
  inputs,
  ...
}: {
  imports = [
    inputs.stylix.nixosModules.stylix
  ];
  environment.systemPackages = with pkgs; [
    #papirus-icon-theme
    nerd-fonts.iosevka
  ];
  stylix = {
    enable = true;
    base16Scheme = "${pkgs.base16-schemes}/share/themes/tomorrow.yaml";
    polarity = "light";
    cursor = {
      package = pkgs.bibata-cursors;
      name = "Bibata-Modern-Ice";
      size = 24;
    };
    image = builtins.fetchurl {
      url = "https://w.wallhaven.cc/full/d6/wallhaven-d6163o.jpg";
      name = "wallhaven-d6163o";
      sha256 = "c6d298be1520546c0440d64d1073e33a356043e2481a8a67e940d5262c0c2e28";
    };
    opacity.terminal = 0.9;
    fonts = {
      sizes = {
        applications = 13;
        desktop = 14;
        popups = 13;
        terminal = 15;
      };
      serif = {
        package = pkgs.nerd-fonts.iosevka;
        name = "Iosevka Nerd Font Propo";
      };
      sansSerif = {
        package = pkgs.nerd-fonts.iosevka;
        name = "Iosevka Nerd Font Propo";
      };
      monospace = {
        package = pkgs.nerd-fonts.iosevka;
        name = "Iosevka Nerd Font Mono";
      };

      emoji = {
        package = pkgs.noto-fonts-emoji;
        name = "Noto Color Emoji";
      };
    };
  };
}
